function [G] = indepgraph(dag)
    G = zeros(size(dag,1),size(dag,2));
    for(resp=1:size(dag,1))
        [ignore1,pred,ignore2] = find(dag(resp,:));
        npred = length(pred);
        if(npred>=1)
            for(i=1:npred)
                G(resp,pred(i)) = 1;
                G(pred(i),resp) = 1;
            end;
            for(i=1:(npred-1))
                for(j=(i+1):npred)
                    G(i,j) = 1;
                    G(j,i) = 1;
                end;
            end;
        end;
    end;