function [regs] = loadregs(DataFileName,ResponseVariable,nMaxRegressors)
    RegFileName = sprintf('%s.%d.%d.reg',DataFileName,ResponseVariable,nMaxRegressors);
    mydata = load(RegFileName);
    mydata(:,1:2) = [];
    nregs = size(mydata,1);
    regs = cell(1,nregs);
    for(i=1:nregs)
        a = mydata(i,:);
        regs{i} = a(find(a>=1));
    end;
    