[avecor] = bmaomega(nChainIterations,DataFileName,OmegaFileName);

%Kullback-Leibler loss
KL = -sum(log((eig(full(avecor)))))+trace(avecor*Sigma)+sum(log((eig(C))))-p

[i,j,s]=find(C);
trueG = sparse(i,j,ones(length(i),1));
trueG = trueG-diag(ones(p,1));

diffG = G-trueG;
[i,j,s]=find(diffG);

FP = length(s(find(s==1)));
FN = length(s(find(s==-1)));

fprintf('%.5f\t%d\t%d\n',KL,FP,FN)
