data = load(sprintf('%s.graph',DataFileName));

subplot(2,1,1);
hold on;
mydata = data(find(data(:,2)==1),:);
plot(log(mydata(:,1)),mydata(:,4),'r-');
mydata = data(find(data(:,2)==2),:);
plot(log(mydata(:,1)),mydata(:,4),'g-');
mydata = data(find(data(:,2)==3),:);
plot(log(mydata(:,1)),mydata(:,4),'b-');
mydata = data(find(data(:,2)==4),:);
plot(log(mydata(:,1)),mydata(:,4),'c-');
xlabel('Log Iteration');
ylabel('Log posterior');
hold off;
axis tight;

subplot(2,1,2);
hold on;
a = 4/5;
mydata = data(find(data(:,2)==1),:);
x = ceil(size(mydata,1)*a):size(mydata,1);
plot(mydata(x,1),mydata(x,4),'r-');
mydata = data(find(data(:,2)==2),:);
x = ceil(size(mydata,1)*a):size(mydata,1);
plot(mydata(x,1),mydata(x,4),'g-');
mydata = data(find(data(:,2)==3),:);
x = ceil(size(mydata,1)*a):size(mydata,1);
plot(mydata(x,1),mydata(x,4),'b-');
mydata = data(find(data(:,2)==4),:);
x = ceil(size(mydata,1)*a):size(mydata,1);
plot(mydata(x,1),mydata(x,4),'c-');
xlabel('Iteration');
ylabel('Log posterior');
hold off;
axis tight;
