function [reg] = loadRegGraph(DataFileName,ResponseVariable,nMaxRegressors)
    GraphFileName = sprintf('%s.%d.graph',DataFileName,nMaxRegressors);
    a = load(GraphFileName);
    m = max(max(a(:,1)),max(a(:,2)));
    S = sparse(a(:,1),a(:,2),a(:,3),m,m);
    S = (S+S')/2;
    reg = find(S(ResponseVariable,:));