function [neighbors] = neighborgraph(target,nsteps,nvars,graphfilename)
    [i,j] = textread(graphfilename,'%d %d');
    G = sparse(nvars,nvars);
    for(k=1:length(i))
        G(i(k),j(k)) = 1;
        G(j(k),i(k)) = 1;
    end;
    for(i=1:(nsteps-1))
        G = G*G;
    end;
    for(i=1:nvars) G(i,i)=0; end;
    neighbors = find(G(target,:));