p = 5:50;

y = zeros(3,length(p));
d = zeros(3,length(p));

for(i=1:length(p))
    data = load(sprintf('/Users/adobra/Projects/LargeRegression/Continuous/Datasets/MingYuan/RegSelResults/pred%d.txt',p(i)));
    y(:,i) = quantile(data(:,4),[.025 .50 .975]);
    d(:,i) = quantile(data(:,3),[.025 .50 .975]); 
end;

subplot(1,2,1);
hold on;
plot(p,y(2,:),'-r','LineWidth',1.5);
plot(p,y(1,:),'-b','LineWidth',1.5);
plot(p,y(3,:),'-b','LineWidth',1.5);
hold off;
axis tight;
xlabel('Number of predictors');
ylabel('Space covered by SSS');

subplot(1,2,2);
hold on;
plot(p,d(2,:),'-r','LineWidth',1.5);
plot(p,d(1,:),'-b','LineWidth',1.5);
plot(p,d(3,:),'-b','LineWidth',1.5);
hold off;
axis tight;
xlabel('Number of predictors');
ylabel('Number of SSS models');