   /*
 *  largeregcont.h
 *  
 *
 *  Created by Adrian Dobra on 11/22/06.
 *  Copyright 2006 __University of Washington__. All rights reserved.
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string>
#include <iomanip>
#include <time.h>

using namespace std;

#include "mkl_vsl.h"

#define SEED    777777
#define BRNG    VSL_BRNG_MT19937
#define METHOD  0

#include "util.h"
#include "Data.h"
#include "gibbssampler.h"

//NOTE: ALWAYS ASSUME THAT THE RESPONSE VARIABLE IS THE LAST VARIABLE IN THE DATA

/*
//DIABETES DATA
char sDataFile[] = "/Users/adobra/Projects/LargeRegression/Continuous/Datasets/diabetes/diabetes11norm.txt";
int NumberOfMainEffects = 10;
int SampleSize = 442;
int ResponseVariable = 1+NumberOfMainEffects;
int nChainIterations = 250;
int nChainReplicates = 4;
int nMaxRegressors = SampleSize-1;
*/

/*
//Ming Yuan
char sDataFile[] = "/Users/adobra/Projects/LargeRegression/Continuous/Datasets/MingYuan/PredWorkDir/data.txt";
int NumberOfMainEffects = 9;
int SampleSize = 50;
int ResponseVariable = 1+NumberOfMainEffects;
int nChainIterations = 25;
int nChainReplicates = 4;
int nMaxRegressors = SampleSize-1;
*/


//Theo Eicher GROWTH
char sDataFile[] = "/Users/adobra/Projects/Theo Eicher/Interactions/FLSgrowthnorm.txt";
int NumberOfMainEffects = 41;
int SampleSize = 72;
int ResponseVariable = 1+NumberOfMainEffects;
int nChainIterations = 25;
int nChainReplicates = 4;
int nMaxRegressors = SampleSize-1;

/*
//Theo Eicher CAPITAL FLOW
char sDataFile[] = "/Users/adobra/Projects/Theo Eicher/CapitalFlowData/oli_growth_36t68norm.txt";
int NumberOfMainEffects = 35;
int SampleSize = 68;
int ResponseVariable = 1+NumberOfMainEffects;
int nChainIterations = 25;
int nChainReplicates = 4;
int nMaxRegressors = SampleSize-1;
*/


/*
char sDataFile[] = "/Users/adobra/Projects/Rats/HeartBlood/Regression/TNI/Blood/ctniRatBloodReduced.txt";
int NumberOfMainEffects = 272;
int SampleSize = 15;
int ResponseVariable = 1+NumberOfMainEffects;
int nChainIterations = 25;
int nChainReplicates = 4;
int nMaxRegressors = SampleSize-1;
*/

/**** GLOBAL VARIABLES ****/
VSLStreamStatePtr mystream;
CData Data;
CGibbsSampler GS;
double* probs = NULL;
/**** GLOBAL VARIABLES ****/


