/*
 *  largeregcont.h
 *  
 *
 *  Created by Adrian Dobra on 11/22/06.
 *  Copyright 2006 __University of Washington__. All rights reserved.
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string>
#include <iomanip>
#include <time.h>

using namespace std;

#include "mkl_vsl.h"

#define SEED    777777
#define BRNG    VSL_BRNG_MT19937
#define METHOD  0

#include "util.h"
#include "Data.h"
#include "gibbssampler.h"

//INPUT VARIABLES
char sDataFile[] = "/Users/adobra/Projects/LargeRegression/Continuous/Datasets/simulated/athounsand/sim100x1000.txt";
int NumberOfVariables = 1000;
int SampleSize = 100;
int ResponseVariableMin = 1;
int ResponseVariableMax = 1;
int nChainIterations = 5;
int nMaxRegressorsMin = 3;
int nMaxRegressorsMax = 3;

//char sDataFile[] = "/Users/adobra/Projects/LargeRegression/Continuous/Datasets/jcgs/jcgs.89x12558.rma.dat";
//int NumberOfVariables = 12558;
//int SampleSize = 89;
//int ResponseVariableMin = 7501;
//int ResponseVariableMax = 10000;
//int nChainIterations = 10;
//int nMaxRegressorsMin = 3;
//int nMaxRegressorsMax = 3;


/**** GLOBAL VARIABLES ****/
VSLStreamStatePtr mystream;
CData Data;
CGibbsSampler GS;
double* probs = NULL;
/**** GLOBAL VARIABLES ****/


